#!/bin/bash

# pulseaudio
#latency=${1:-160000}
# pipewire
latency=${1:-80000}

for bz in $(pactl -f json list cards 2>/dev/null | jq -r '.[] | select(.name | contains("bluez")) | .name'); do
    readarray -t ports < <(pactl -f json list cards 2>/dev/null | jq -r ".[] | select(.name | contains(\"${bz}\")) | .ports | keys | .[]")
    for port in "${ports[@]}"; do
        pactl set-port-latency-offset ${bz} ${port} ${latency}
    done
done
